# Customer ID=7729; Build=0x71521; Copyright (c) 2007-2013 by Tensilica Inc.  ALL RIGHTS RESERVED.
# These coded instructions, statements, and computer programs are the
# copyrighted works and confidential proprietary information of
# Tensilica Inc.  They may be adapted and modified by bona fide
# purchasers for internal use, but neither the original nor any adapted
# or modified version may be disclosed or distributed to third parties
# in any manner, medium, or form, in whole or in part, without the prior
# written consent of Tensilica Inc.


variable module                xtsc_core_vp
variable xtsc_vp_shared        [info exists ::env(XTSC_VP_SHARED)]
variable libname               [expr { $xtsc_vp_shared ? "xtsc_vp_sh" : "xtsc_vp" }]

::pct::new_project
::pct::open_library $env(XTENSA_SW_TOOLS)/misc/xtsc_vp/${libname}.xml
::pct::open_library $module/$module.xml



set module xtsc_core_vp
::pct::create_instance $module          /HARDWARE core0 xtsc_vp::$module xtsc_vp::$module\()
::pct::set_shape                        /HARDWARE/core0 core
::pct::set_param_value                  /HARDWARE/core0 "Scml Properties"    /Target/SimTargetOutput  core0_output.log
::pct::set_param_value                  /HARDWARE/core0 "Scml Properties"    /Target/SimTargetProgram target/lookup_test.out

::pct::set_bounds                       /HARDWARE/core0 100 100 100 500

::pct::set_orientation                  /HARDWARE/core0/TIE_lut_Rdy             right
::pct::set_orientation                  /HARDWARE/core0/TIE_lut_In              right
::pct::set_orientation                  /HARDWARE/core0/TIE_lut_Out_Req         right
::pct::set_orientation                  /HARDWARE/core0/TIE_lut_Out             right
::pct::set_location_on_owner            /HARDWARE/core0/TIE_lut_Rdy             447
::pct::set_location_on_owner            /HARDWARE/core0/TIE_lut_In              414
::pct::set_location_on_owner            /HARDWARE/core0/TIE_lut_Out_Req         381
::pct::set_location_on_owner            /HARDWARE/core0/TIE_lut_Out             348

::pct::set_orientation                  /HARDWARE/core0/pif_req                 right
::pct::set_orientation                  /HARDWARE/core0/pif_rsp                 right
::pct::set_location_on_owner            /HARDWARE/core0/pif_rsp                 55
::pct::set_location_on_owner            /HARDWARE/core0/pif_req                 22
::pct::set_location_on_owner            /HARDWARE/core0/pif_rsp                 55

::pct::set_bounds                       /HARDWARE/core0 100 100 100 500



set module xtsc_memory_vp
::pct::create_instance $module          /HARDWARE core0_pif xtsc_vp::$module xtsc_vp::$module\()
::pct::set_param_value                  /HARDWARE/core0_pif "Template Arguments" DATA_WIDTH                    64
::pct::set_param_value                  /HARDWARE/core0_pif "Template Arguments" NUM_PORTS                     1
::pct::set_param_value                  /HARDWARE/core0_pif "Scml Properties"    /Timing/block_read_delay      1
::pct::set_param_value                  /HARDWARE/core0_pif "Scml Properties"    /Timing/block_write_delay     1
::pct::set_param_value                  /HARDWARE/core0_pif "Scml Properties"    /Timing/block_write_repeat    1
::pct::set_param_value                  /HARDWARE/core0_pif "Scml Properties"    /Timing/block_write_response  1
::pct::set_param_value                  /HARDWARE/core0_pif "Scml Properties"    /Timing/rcw_response          1
::pct::set_param_value                  /HARDWARE/core0_pif "Scml Properties"    /Timing/read_delay            1
::pct::set_param_value                  /HARDWARE/core0_pif "Scml Properties"    /Timing/write_delay           1

::pct::set_bounds                       /HARDWARE/core0_pif 450 100 150 125

::pct::set_orientation                  /HARDWARE/core0_pif/m_request_exports\[0\]    left
::pct::set_orientation                  /HARDWARE/core0_pif/m_respond_ports\[0\]      left
::pct::set_orientation                  /HARDWARE/core0_pif/m_respond_ports\[0\]      top
::pct::set_location_on_owner            /HARDWARE/core0_pif/m_respond_ports\[0\]      55
::pct::set_location_on_owner            /HARDWARE/core0_pif/m_request_exports\[0\]    22
::pct::set_orientation                  /HARDWARE/core0_pif/m_respond_ports\[0\]      left
::pct::set_location_on_owner            /HARDWARE/core0_pif/m_respond_ports\[0\]      55


::pct::create_connection core0_req /HARDWARE    /HARDWARE/core0/pif_req                 /HARDWARE/core0_pif/m_request_exports\[0\]
::pct::create_connection core0_rsp /HARDWARE    /HARDWARE/core0/pif_rsp                 /HARDWARE/core0_pif/m_respond_ports\[0\]



set module xtsc_lookup_pin_vp
::pct::create_instance $module          /HARDWARE lookup_table xtsc_vp::$module xtsc_vp::$module\()
::pct::set_param_value                  /HARDWARE/lookup_table "Template Arguments" ADDR_WIDTH    8
::pct::set_param_value                  /HARDWARE/lookup_table "Template Arguments" DATA_WIDTH    32
::pct::set_param_value                  /HARDWARE/lookup_table "Scml Properties"    /Misc/default_data  0xDEADBEEF
::pct::set_param_value                  /HARDWARE/lookup_table "Scml Properties"    /Misc/has_ready     true
::pct::set_param_value                  /HARDWARE/lookup_table "Scml Properties"    /Misc/lookup_table  ../../xtsc_lookup_pin/lut.rom

::pct::set_bounds                       /HARDWARE/lookup_table 454 426 150 161

::pct::set_orientation                  /HARDWARE/lookup_table/m_address     left
::pct::set_orientation                  /HARDWARE/lookup_table/m_req         left
::pct::set_orientation                  /HARDWARE/lookup_table/m_data        left
::pct::set_orientation                  /HARDWARE/lookup_table/m_ready       left

::pct::set_location_on_owner            /HARDWARE/lookup_table/m_address     22
::pct::set_location_on_owner            /HARDWARE/lookup_table/m_req         55
::pct::set_location_on_owner            /HARDWARE/lookup_table/m_data        88
::pct::set_location_on_owner            /HARDWARE/lookup_table/m_ready      121



::pct::create_connection address  /HARDWARE /HARDWARE/core0/TIE_lut_Out      /HARDWARE/lookup_table/m_address
::pct::create_connection req      /HARDWARE /HARDWARE/core0/TIE_lut_Out_Req  /HARDWARE/lookup_table/m_req
::pct::create_connection data     /HARDWARE /HARDWARE/core0/TIE_lut_In       /HARDWARE/lookup_table/m_data
::pct::create_connection ready    /HARDWARE /HARDWARE/core0/TIE_lut_Rdy      /HARDWARE/lookup_table/m_ready

::pct::set_bounds /HARDWARE/lookup_table 454 426 150 161

::pct::save_system system.xml



::pct::create_simulation_build_project .

::pct::set_simulation_build_project_setting Debug "Disable Elaboration"              true
::pct::set_simulation_build_project_setting Debug "Enable Instrumentation"           false
::pct::set_simulation_build_project_setting Debug "Fast Linking"                     false
::pct::set_simulation_build_project_setting Debug "Include Path Substitution"        false
::pct::set_simulation_build_project_setting Debug "Backdoor Mode"                    true

::pct::set_simulation_build_project_setting Debug "Include Paths" " \
                                     $env(XTENSA_SW_TOOLS)/include \
                                     "

::pct::set_preference_value /Messages/FilterIDs "ESA0022 ESA0029"
::pct::export_simulation



